| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
IACFUnknown Interface Referenceabstract
AAX SDK Manual » Additional Topics » The Avid Component Framework (ACF) » ACF Elements
Inheritance diagram for IACFUnknown:
[legend]

## Description

COM compatible IUnknown C++ interface.

Remarks
  The methods of the IACFUnknown interface, implemented by all ACF objects, supports general inter-object protocol negotiation via the `QueryInterface` method, and object lifetime management with the AddRef and Release methods.

Note
  Because AddRef and Release are not required to return accurate values, callers of these methods must not use the return values to determine if an object is still valid or has been destroyed. (Standard M*cr*s*ft disclaimer)

For further information please refer to the Microsoft documentation for IUnknown.

Note
  This class will work only with compilers that can produce COM-compatible object layouts for C++ classes. egcs can not do this. Metrowerks can do this (if you subclass from __comobject).

## Public Member Functions
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Member Function Documentation

## ◆ QueryInterface()

virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE IACFUnknown::QueryInterface | ( | const acfIID & | iid,
|  | void ** | ppOut
| ) |  |
| pure virtual

Returns pointers to supported interfaces.

Remarks
  The QueryInterface method gives a client access to alternate interfaces implemented by an object. The returned interface pointer will have already had its reference count incremented so the caller will be required to call the Release method.

Parameters

  iid | Identifier of the requested interface
  ppOut | Address of variable that receives the interface pointer associated with iid.

## ◆ AddRef()

virtual acfUInt32 ACFMETHODCALLTYPE IACFUnknown::AddRef | ( | void |  | ) |
| pure virtual

Increments reference count.

Remarks
  The AddRef method should be called every time a new copy of an interface is made. When this copy is no longer referenced it must be released with the Release method.

## ◆ Release()

virtual acfUInt32 ACFMETHODCALLTYPE IACFUnknown::Release | ( | void |  | ) |
| pure virtual

Decrements reference count.

Remarks
  Use this method to decrement the reference count. When the reference count reaches zero the object that implements the interface will be deleted.

The documentation for this interface was generated from the following file:

- AAX_ACFInterface.doxygen